# Author: Alexandre Boucaud <aboucaud@lal.in2p3.fr>
# License: BSD 3 clause

from __future__ import print_function, division

import numpy as np


def read_train_data(astro_dataset_path):
    X_train = np.load("{0}/data/data_train.npy".format(astro_dataset_path))
    y_train = np.load("{0}/data/labels_train.npy".format(astro_dataset_path))
    return X_train, y_train


def read_test_data(astro_dataset_path, test=False):
    X_test = np.load("{0}/data/data_test.npy".format(astro_dataset_path))
    y_test = np.load("{0}/data/labels_test.npy".format(astro_dataset_path))
    if test:
        return X_test[:200], y_test[:200]
    return X_test, y_test
